#----------------------------------------------------#
# Reset the game to be played from the start again.
#
# Scripter: Liontack
# Called by function command
#----------------------------------------------------#



### Teleport player back to start room
tp @a 24.5 65.00 -0.5 180 0

### Give the welcome mat back to the player
setblock 20 65 0 air
give @p stone_pressure_plate{CanPlaceOn: ["minecraft:mushroom_stem"], display: {Name: '{"text": "Welcome mat"}'}}

### Remove player head
kill @e[type=item, x=0, y=6, z=0, distance=..2]

### Reset sign texts
data modify block 10 67 0 Text2 set value '{"text":"Level 1"}'
data modify block 10 74 4 Text2 set value '{"text":""}'
data modify block 4 74 10 Text2 set value '{"text":""}'
data modify block -4 74 10 Text2 set value '{"text":""}'
data modify block -10 74 4 Text2 set value '{"text":""}'
data modify block -10 74 -4 Text2 set value '{"text":""}'
data modify block -4 74 -10 Text2 set value '{"text":""}'
data modify block 4 74 -10 Text2 set value '{"text":""}'
data modify block 10 74 -4 Text2 set value '{"text":""}'

### Close all doors
clone 8 90 3 8 92 5 8 72 3
clone 3 90 8 5 92 8 3 72 8
clone -1 90 8 1 92 8 -1 65 8
clone -5 90 8 -3 92 8 -5 72 8
clone -8 90 3 -8 92 5 -8 72 3
clone -8 90 -1 -8 92 1 -8 65 -1
clone -8 90 -5 -8 92 -3 -8 72 -5
clone -5 90 -8 -3 92 -8 -5 72 -8
clone -1 90 -8 1 92 -8 -1 65 -8
clone 3 90 -8 5 92 -8 3 72 -8
clone 8 90 -5 8 92 -3 8 72 -5

clone 13 89 -5 15 92 -3 13 71 -5
clone 13 89 8 15 92 10 13 71 8
clone -18 89 2 -16 92 4 -18 71 2
clone -13 89 1 -11 92 3 -13 71 1
clone -15 89 -3 -13 92 -1 -15 64 -3
clone -13 89 -7 -11 92 -5 -13 71 -7
clone -5 89 -14 -3 92 -12 -5 71 -14
clone -20 89 -1 -18 92 1 -20 64 -1

### Reset scoreboard values
scoreboard players set i_room variables 0
scoreboard players set i_hints_used variables 0
scoreboard players set i_wrong_submissions variables -23
scoreboard players set i_time_h variables 0
scoreboard players set i_time_m variables 0
scoreboard players set i_time_s variables 0
scoreboard players set i_time_t variables 0
scoreboard players set b_run_time variables 0

### Clear main room
kill @e[type=!player, type=!painting, x=-7, y=64, z=-7, dx=15, dy=6, dz=15]
fill -7 65 -7 7 65 7 air replace #main:colorable
